/*!************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./src/scss/library.scss ***!
  \************************************************************************************************************************************************************************/
:root {
  /* Layout Variables */
  --container-width: 1250px;
  --swiper-pagination-top: calc(100% + 40px);
  --banner-bg: url(/local/templates/vovlekay/images/delaycourse-banner.png);
  --banner-bg-mobile: url(/local/templates/vovlekay/images/delaycourse-banner--mobile.png);
}

h2 {
  margin: 0;
}

h6 {
  margin: 0;
  font-weight: 400;
  font-size: 18px;
}

:not(.wysiwyg) ul {
  padding: 0 10px;
  display: flex;
  flex-direction: column;
  gap: 6px;
  margin: 16px 0;
}
:not(.wysiwyg) ul li {
  font-size: 16px;
  line-height: 1.2;
  list-style: none;
  position: relative;
  padding-left: 14px;
}
:not(.wysiwyg) ul li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.55em;
  transform: translateY(-50%);
  width: 3px;
  height: 3px;
  background-color: #000000;
  border-radius: 50%;
}

/* Adaptive fix */
.fix-containers .container {
  max-width: var(--container-width);
  width: 100%;
  overflow: hidden;
}
@media (max-width: 1200px) {
  .fix-containers .container {
    max-width: calc(100% - 70px);
  }
}
@media (max-width: 768px) {
  .fix-containers .container {
    max-width: 100%;
  }
}

.header .container {
  overflow: visible;
}

.library-courses .breadcrumbs.container {
  display: flex;
  justify-content: space-between;
  position: relative;
}
@media (max-width: 739.98px) {
  .library-courses .breadcrumbs.container {
    flex-direction: column;
    justify-content: flex-start;
    overflow: visible;
  }
}
.library-courses .breadcrumbs {
  margin-bottom: 0;
  padding-top: 16px;
  padding-bottom: 0;
}
@media (max-width: 756px) {
  .library-courses .breadcrumbs {
    padding-top: 8px;
  }
}
.library-courses .breadcrumbs a {
  font-size: 14px;
}
@media (max-width: 739.98px) {
  .library-courses .breadcrumbs a {
    font-size: 14px;
  }
}
.library-courses .breadcrumbs .breadcrumbs__item {
  white-space: nowrap;
}
.library-courses .breadcrumbs .breadcrumbs__item::after {
  color: rgba(111, 112, 113, 0.3);
  content: ">";
  right: 8px;
  top: -2px;
  width: auto;
  height: auto;
  font-weight: bold;
  font-size: 12px;
  background-image: none;
}
.library-courses .breadcrumbs .breadcrumbs__title {
  font-size: 14px;
  white-space: wrap;
}
@media (max-width: 739.98px) {
  .library-courses .breadcrumbs .breadcrumbs__title {
    font-size: 14px;
  }
}
.library-courses .project__description {
  margin-bottom: 10px;
}
.library-courses .project__preview {
  display: flex;
}
.library-courses .project__preview img {
  margin: 0 auto;
  max-width: 100%;
  height: 258px;
}
@media (max-width: 739.98px) {
  .library-courses .project__preview img {
    height: auto;
  }
}
.library-courses.hero .breadcrumbs a {
  color: #fff;
}
.library-courses.hero .breadcrumbs .breadcrumbs__item::after {
  color: rgba(255, 255, 255, 0.3019607843);
}
.library-courses.hero .breadcrumbs .breadcrumbs__title {
  color: rgba(255, 255, 255, 0.6);
}
.library-courses .cards.two {
  grid-template-columns: repeat(2, 1fr);
}
@media (max-width: 768px) {
  .library-courses .cards.two {
    grid-template-columns: repeat(1, 1fr);
  }
}
.library-courses .cards.three {
  grid-template-columns: repeat(3, 1fr);
}
@media (max-width: 768px) {
  .library-courses .cards.three {
    grid-template-columns: repeat(1, 1fr);
  }
}
.library-courses .cards.four {
  grid-template-columns: repeat(4, 1fr);
}
@media (max-width: 768px) {
  .library-courses .cards.four {
    grid-template-columns: repeat(1, 1fr);
  }
}
.library-courses .cards.five {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 16px;
}
.library-courses .cards.five .grid-item {
  grid-column: span 2;
}
.library-courses .cards.five .grid-item:nth-child(5n+4),
.library-courses .cards.five .grid-item:nth-child(5n+5) {
  grid-column: span 3;
}
@media (max-width: 768px) {
  .library-courses .cards.five {
    grid-template-columns: repeat(1, 1fr);
  }
  .library-courses .cards.five .grid-item:nth-child(5n+4),
  .library-courses .cards.five .grid-item:nth-child(5n+5) {
    grid-column: span 2;
  }
}
.library-courses .cards {
  display: grid;
  gap: 24px;
  margin: 80px 0;
}
@media (max-width: 768px) {
  .library-courses .cards {
    grid-template-columns: repeat(1, 1fr);
    margin: 80px 0 60px;
  }
}
.library-courses .cards__card {
  background: #fff;
  padding: 24px 32px;
  border-radius: 16px;
}
@media (max-width: 768px) {
  .library-courses .cards__card {
    padding: 24px;
  }
}
.library-courses .cards__card img {
  pointer-events: none;
  width: 64px;
  height: 64px;
  margin-bottom: 48px;
}
@media (max-width: 768px) {
  .library-courses .cards__card img {
    margin-bottom: 32px;
  }
}
.library-courses .cards__card__title {
  font-size: 24px;
  line-height: 1.2;
}
.library-courses .cards__card__description {
  font-size: 16px;
  line-height: 1.4;
  margin: 12px 0;
}
@media (max-width: 768px) {
  .library-courses .cards__card__description {
    font-size: 14px;
  }
}
.library-courses .courses-three .cards {
  margin: 50px 0 0;
}
.library-courses .courses-list__shader {
  position: relative;
}
.library-courses .courses-list__shade {
  /* Gradient in the bottom of the catalog when can load more */
  width: 100%;
  height: 600px;
  position: absolute;
  top: -600px;
  background: linear-gradient(180deg, rgba(247, 246, 251, 0) 0%, rgb(247, 246, 251) 100%);
  pointer-events: none;
}
.library-courses .video-disclaimer {
  padding: 50px 0 40px;
  display: flex;
  align-items: center;
  gap:24px
}
@media (max-width: 768px) {
  .library-courses .video-disclaimer {
    flex-direction: column;
  }
}
.library-courses .video-disclaimer__text {
  font-size: 18px;
}
@media (max-width: 768px) {
  .library-courses .video-disclaimer__text {
    font-size: 16px;
  }
}
.library-courses .video-disclaimer__video {
  flex-basis: 50%;
  flex-shrink: 0;
}
.library-courses .video-disclaimer__video .brand-logo {
  display: flex;
  align-items: center;
  justify-content: center;
}
.library-courses .video-disclaimer__video .brand-logo__box {
  width: 100%;
  height: 100%;
  position: relative;
  max-width: 1140px;
}
.library-courses .video-disclaimer__video .brand-video {
  width: 100%;
  border-radius: 12px;
  overflow: hidden;
  aspect-ratio: 1140/642;
  background: rgba(255, 255, 255, 0.08);
  border: 0;
  padding: 0;
  cursor: pointer;
}
@media (max-width: 768px) {
  .library-courses .video-disclaimer__video .brand-video {
    border-radius: 10px;
  }
}
.library-courses .video-disclaimer__video .brand-video iframe {
  width: 100%;
  height: 100%;
  display: block;
}
.library-courses .video-disclaimer__video .brand-logo__box--video.is-playing:after {
  display: none;
}
.library-courses .video-disclaimer__video .brand-logo__box--video.is-playing .brand-logo__image {
  display: none;
}
.library-courses .video-disclaimer__video .brand-logo__img {
  content: "";
  position: absolute;
  width: 64px;
  height: 64px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 12px;
  background-color: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(26.67px);
  -webkit-backdrop-filter: blur(26.67px);
}
@media (max-width: 768px) {
  .library-courses .video-disclaimer__video .brand-logo__img {
    width: 40px;
    height: 40px;
    border-radius: 6px;
  }
}
.library-courses .video-disclaimer__video .brand-logo__image {
  width: 100%;
  height: 100%;
  border-radius: 12px;
  aspect-ratio: 1140/642;
  object-fit: cover;
  pointer-events: none;
}
@media (max-width: 768px) {
  .library-courses .video-disclaimer__video .brand-logo__image {
    border-radius: 10px;
  }
}
.library-courses .aim-section {
  background-repeat: no-repeat;
  background-position: right bottom;
  background-image: url(/local/templates/labmedia2025/images/aim-bkg.svg);
  background-size: auto 100%;
  padding-top: 100px;
  margin-bottom: 40px;
}
@media (max-width: 768px) {
  .library-courses .aim-section {
    background-size: 150% 100%;
    padding-top: 40px;
  }
}
.library-courses .aim-section .cards {
  margin: 0 auto;
}
.library-courses .aim-section .aim {
  background: rgba(162, 204, 255, 0.3);
  border-radius: 16px;
  padding: 24px;
}
.library-courses .aim-section .aim .aim-head {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 100%;
}
.library-courses .aim-section .aim .aim-head__text {
  font-size: 24px;
}
.library-courses .aim-section .aim .aim-head__number {
  padding: 15px;
  border-radius: 50%;
  border: 1px solid #9AA3B2;
  font-size: 16px;
}
.library-courses .aim-section .aim .aim-content {
  margin-top: 16px;
}
.library-courses .expert-section {
  padding-top: 40px;
}
@media (max-width: 768px) {
  .library-courses .expert-section {
    padding-top: 20px;
  }
}
.library-courses .expert-section .related__heading {
  margin-bottom: 48px;
}
@media (max-width: 768px) {
  .library-courses .expert-section .related__heading {
    margin-bottom: 32px;
  }
}
.library-courses .expert-section .expert-list {
  background: #fff;
  border-radius: 16px;
  padding: 24px 32px;
}
@media (max-width: 768px) {
  .library-courses .expert-section .expert-list {
    padding: 16px 24px;
  }
}
.library-courses .expert-section .expert {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 24px;
  align-items: start;
  position: relative;
}
@media (max-width: 768px) {
  .library-courses .expert-section .expert {
    gap: 0;
  }
}
.library-courses .expert-section .photo {
  width: 128px;
}
@media (max-width: 768px) {
  .library-courses .expert-section .photo {
    width: 64px;
  }
}
.library-courses .expert-section .photo img {
  display: block;
  height: auto;
border-radius:8px;
}
.library-courses .expert-section .data h6 {
  margin: 0 0 12px 0;
}
.library-courses .expert-section .data ul {
  margin: 0;
}
@media (max-width: 768px) {
  .library-courses .expert-section {
    display: flex;
    flex-direction: column;
    gap: 16px;
    position: relative;
  }
  .library-courses .expert-section .photo {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
  }
  .library-courses .expert-section .photo img {
    width: 64px;
border-radius:8px;
  }
  .library-courses .expert-section .data {
    width: 100%;
    display: flex;
    flex-direction: column;
  }
  .library-courses .expert-section .data h6 {
    margin: 0 0 16px 0;
    padding-left: 80px;
    min-height: 64px;
    display: flex;
    align-items: flex-end;
  }
  .library-courses .expert-section .data .details {
    width: 100%;
  }
}
.library-courses .course-program {
  background: linear-gradient(-155deg, rgb(247, 246, 251) 70%, rgb(201, 224, 255) 85%, rgb(150, 196, 255)) 90%;
  padding: 40px 0;
}
.library-courses .courses-looks-like {
  padding: 100px 0 80px;
}
@media (max-width: 739.98px) {
  .library-courses .courses-looks-like {
    padding: 60px 0 80px;
    --swiper-pagination-top: calc(95% + 0px);
  }
}
.library-courses .courses-looks-like .container {
  padding-bottom: 100px;
}
@media (max-width: 739.98px) {
  .library-courses .courses-looks-like .container {
    padding-bottom: 20px;
  }
}
.library-courses .courses-looks-like img {
  width: 100%;
border-radius:16px;
}
.library-courses .courses-process {
  background: linear-gradient(-155deg, rgb(247, 246, 251) 70%, rgb(201, 224, 255) 85%, rgb(150, 196, 255)) 90%;
  padding: 0 0 100px;
}
@media (max-width: 768px) {
  .library-courses .courses-process {
    padding: 0 0 80px;
  }
}
.library-courses .courses-process .swiper {
  height: auto;
}
.library-courses .courses-process .courses-process__count {
  color: rgb(0, 175, 240);
}
@media (max-width: 768px) {
  .library-courses .courses-process .courses-process__count {
    display: block;
    margin-bottom: 16px;
  }
}
@media (max-width: 768px) {
  .library-courses .courses-process .swiper-slide {
    height: auto;
  }
}
@media (max-width: 768px) {
  .library-courses .courses-process .carousel--js-courses-process {
    height: auto;
  }
}
.library-courses .courses-process .carousel--js-courses-process__bullet {
  background: rgba(0, 175, 240, 0.2);
}
.library-courses .courses-process .carousel--js-courses-process__bullet--current {
  background: rgb(0, 175, 240);
}
.library-courses .courses-process .courses-process__swiper img {
  object-fit: cover;
}
.library-courses .courses-process .courses-process__title {
  margin: 0 0 48px;
}
@media (max-width: 768px) {
  .library-courses .courses-process .courses-process__title {
    margin: 20px 0 32px;
  }
}
.library-courses .courses-process .courses-process__controls {
  background: rgb(0, 175, 240);
}
.library-courses .courses-process .courses-process__controls button svg {
  stroke: #fff;
}
.library-courses .courses-process .courses-process__controls-next:hover, .library-courses .courses-process .courses-process__controls-prev:hover {
  background: rgba(0, 175, 240, 0.3);
}
.library-courses .courses-process .courses-process__controls-next:active, .library-courses .courses-process .courses-process__controls-prev:active {
  background: rgba(0, 175, 240, 0.3);
}
.library-courses .courses-process .courses-process__controls-next:focus, .library-courses .courses-process .courses-process__controls-prev:focus {
  background: rgba(0, 175, 240, 0.3);
}
@media (max-width: 739px) {
  .library-courses .courses-process .courses-process__wrap {
    flex-direction: column-reverse;
  }
}
.library-courses .courselist-section .container {
  margin: 0 auto;
}
.library-courses .courselist-section .courses-head {
  display: flex;
  justify-content: space-between;
  margin: 100px 0 50px;
}
@media (max-width: 739.98px) {
  .library-courses .courselist-section .courses-head {
    margin: 50px 0 30px;
  }
}
.library-courses .courselist-section .load-more-courses {
  margin: 0 auto;
  position: absolute;
  top: -200px;
  z-index: 1000;
}
.library-courses .courselist-section .courses-list__shader {
  display: flex;
  justify-content: center;
}
.library-courses .courselist-section .project {
  transition: transform 0.3s ease;
}
.library-courses .courselist-section .project:hover {
  transform: scale(1.05);
}
.library-courses .courselist-section .project__preview {
  height: 190px;
}
.library-courses .courselist-section .project__link {
  font-size: 21px;
}
.library-courses .courselist-section .project__description {
  font-size: 16px;
}
.library-courses .courselist-section .project__body {
  padding: 8px;
}
.library-courses .courselist-section .project:nth-child(5n+4),
.library-courses .courselist-section .project:nth-child(5n+5) {
  flex-direction: row-reverse;
}
.library-courses .courselist-section .project:nth-child(5n+4) .project__preview img,
.library-courses .courselist-section .project:nth-child(5n+5) .project__preview img {
  object-fit: contain;
  height: auto;
  width: 100%;
}
.library-courses .courselist-section .courses-process__title {
  margin: 0;
}
@media (max-width: 739.98px) {
  .library-courses .courselist-section .courses-process__title {
    margin: 0;
  }
}
.library-courses .courselist-section .cards {
  margin: 0 0 80px;
}
@media (max-width: 739.98px) {
  .library-courses .courselist-section .cards {
    margin: 0;
  }
}
@media (max-width: 739.98px) {
  .library-courses .courselist-section .cards.five {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
  }
  .library-courses .courselist-section .cards.five .project__link {
    font-size: 16px;
  }
  .library-courses .courselist-section .cards.five .project__description {
    font-size: 12px;
    margin-top: 4px;
  }
  .library-courses .courselist-section .cards.five .project__preview {
    height: 83px;
  }
  .library-courses .courselist-section .cards.five .grid-item {
    grid-column: span 1;
  }
  .library-courses .courselist-section .cards.five .grid-item:nth-child(5n+4), .library-courses .courselist-section .cards.five .grid-item:nth-child(5n+5) {
    grid-column: auto;
    flex-direction: column;
  }
  .library-courses .courselist-section .cards.five .grid-item:nth-child(3n+1) {
    grid-column: span 2;
    flex-direction: row-reverse;
  }
  .library-courses .courselist-section .cards.five .grid-item:nth-child(3n+1) .project__preview {
    height: 83px;
  }
  .library-courses .courselist-section .cards.five .grid-item:nth-child(3n+1) .project__preview img {
    object-fit: cover;
    height: 83px;
    width: 100%;
  }
}
.library-courses .steps-section {
  padding: 50px 0 0;
}
@media (max-width: 768px) {
  .library-courses .steps-section {
    padding: 40px 0 0;
  }
}
.library-courses .steps-section .title {
  margin-bottom: 48px;
}
.library-courses .steps-section .container {
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding: 0;
}
@media (max-width: 768px) {
  .library-courses .steps-section .container {
    gap: 16px;
  }
}
.library-courses .step-card {
  display: flex;
  align-items: flex-start;
  gap: 32px;
  background: rgba(0, 175, 240, 0.1);
  border-radius: 24px;
  padding: 10px;
  width: 100%;
}
.library-courses .step-card__text {
  display: flex;
  flex-direction: column;
  padding: 40px 0 0 48px;
  gap: 12px;
  flex: 1 1 auto;
}
.library-courses .step-card__title {
  font-size: 32px;
  font-weight: 400;
  letter-spacing: -0.02em;
  line-height: 1.2;
}
.library-courses .step-card__description {
  font-size: 16px;
  display: flex;
  flex-direction: column;
  line-height: 140%;
  opacity: 0.95;
  gap: 12px;
}
@media (max-width: 768px) {
  .library-courses .step-card__description {
    font-size: 14px;
  }
}
.library-courses .step-card__image {
  max-width: 645px;
  height: 460px;
  flex: 0 0 55%;
}
.library-courses .step-card__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 16px;
  pointer-events: none;
}
.library-courses .step-card:nth-child(even) .step-card__image {
  order: -1;
}
.library-courses .step-card:nth-child(even) .step-card__text {
  padding: 20px 22px 20px 0;
}
@media (max-width: 768px) {
  .library-courses .step-card {
    gap: 16px;
    display: flex;
    padding: 10px;
    height: auto;
    flex-direction: column-reverse;
    border-radius: 16px;
  }
  .library-courses .step-card__text {
    padding: 10px 14px;
    gap: 12px;
  }
  .library-courses .step-card__image {
    width: 100%;
    height: 100%;
  }
  .library-courses .step-card__title {
    font-size: 24px;
  }
  .library-courses .step-card:nth-child(even) {
    gap: 8px;
    flex-direction: column;
  }
  .library-courses .step-card:nth-child(even) .step-card__text {
    padding: 10px 14px;
  }
}
.library-courses .courses-reviews {
  padding: 50px 0 50px 0;
}
.library-courses .courses-reviews .container {
  overflow: visible;
}
.library-courses .courses-reviews .swiper {
  overflow: visible;
}
.library-courses .courses-reviews__title {
  margin: 0 0 50px 0;
}
.library-courses .courses-reviews .swiper-wrapper {
  align-items: stretch;
}
.library-courses .courses-reviews .swiper-slide {
  height: auto;
  display: flex;
}
.library-courses .courses-reviews .swiper-slide > div {
  width: 100%;
}
@media (max-width: 768px) {
  .library-courses .courses-reviews__title {
    margin: 0 0 30px 0;
  }
}
.library-courses .systems__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 16px;
  padding-bottom: 100px;
}
.library-courses .systems-list .title {
  margin: 0 0 50px 0;
}
.library-courses .systems__logo__wrap {
  width: calc((100% - 100px) / 6);
  min-width: 140px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.library-courses .systems__logo__wrap img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
}
@media (max-width: 768px) {
  .library-courses .systems__logo__wrap {
    width: calc((100% - 20px) / 2);
  }
  .library-courses .systems__list {
    justify-content: flex-start;
  }
}

.courses-lib-hero {
  background: linear-gradient(170deg, #64a4ff 1.3%, #a2ccff 50.65%, #d8efff 100%);
  margin-top: -84px;
  padding-top: 84px;
  overflow: hidden;
}
.courses-lib-hero .courses-lib-hero__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding-top: 80px;
  padding-bottom: 68px;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__content {
    flex-direction: column;
    padding-top: 48px;
    padding-bottom: 48px;
    align-items: flex-start;
  }
}
.courses-lib-hero .courses-lib-hero__content .button.mobile-only {
  display: none;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__content .button.mobile-only {
    display: block;
    margin: 24px auto 0;
    width: 100%;
    max-width: 320px;
  }
}
.courses-lib-hero .courses-lib-hero__content .button.mobile-only.is-in-cart {
  color: rgb(187, 190, 197);
}
.courses-lib-hero .courses-lib-hero__markered {
  border-left: 4px solid #fff;
  padding-left: 16px;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__markered {
    border-left: 2px solid #fff;
    padding-left: 12px;
  }
}
.courses-lib-hero .courses-lib-hero__info {
  max-width: 558px;
  flex-shrink: 0;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__info {
    padding-top: 0;
    padding-bottom: 0;
    width: 100%;
  }
}
.courses-lib-hero .courses-lib-hero__info h1 {
  font-size: 48px;
  line-height: 110%;
  letter-spacing: -0.03em;
  font-weight: 400;
  color: #FFFFFF;
  color: var(--txt-total-white);
  margin: 0;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__info h1 {
    font-size: 32px;
    line-height: 120%;
    letter-spacing: -0.02em;
  }
}
.courses-lib-hero .courses-lib-hero__info p {
  font-size: 18px;
  line-height: 140%;
  letter-spacing: 0;
  font-weight: 400;
  color: #FFFFFF;
  color: var(--txt-total-white);
  margin-top: 24px;
  margin-bottom: 0;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__info p {
    font-size: 16px;
  }
}
.courses-lib-hero .courses-lib-hero__info .button {
  margin-top: 48px;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__info .button {
    display: none;
  }
}
.courses-lib-hero .courses-lib-hero__info .button.is-in-cart {
  color: rgb(187, 190, 197);
}
.courses-lib-hero .courses-lib-hero__image {
  aspect-ratio: 1;
  flex-shrink: 0;
  -o-object-fit: contain;
  object-fit: contain;
  height: 100%;
}
@media (max-width: 739.98px) {
  .courses-lib-hero .courses-lib-hero__image {
    height: auto;
    width: 100%;
    max-width: fit-content;
    margin: 24px auto 0;
  }
}

.swiper-pagination {
  position: absolute;
  margin-top: 12px;
}
.swiper-pagination-bullet {
  background: rgba(0, 175, 240, 0.8);
  width: 15px;
  height: 15px;
}
@media (max-width: 739.98px) {
  .swiper-pagination-bullet {
    width: 6px;
    height: 6px;
  }
}
.swiper-pagination-bullet-active {
  background: rgb(0, 175, 240);
  width: 50px;
  border-radius: 20px;
}
@media (max-width: 739.98px) {
  .swiper-pagination-bullet-active {
    width: 20px;
    height: 6px;
  }
}
.swiper {border-radius: 16px;}
.carousel--css-skin-cases .carousel__controls {
  box-shadow: inset 0 0 0 1px var(--stroke-gray-border);
  background-color: var(--bg-white-purple);
}

.courses-cases__action_desktop {
  overflow: hidden;
}

.carousel__button[aria-disabled=false] {
  background: transparent;
}

.courses-choose {
  margin-bottom: 50px;
}
@media (max-width: 739.98px) {
  .courses-choose {
    margin-bottom: 40px;
  }
}
.courses-choose .courses-choose__item {
  height: 444px;
  overflow: visible;
}
.courses-choose .courses-choose__item .courses-choose__action {
  border-radius: 16px;
  backface-visibility: hidden;
  will-change: transform;
  overflow: hidden;
  transition: transform var(--transition-expand);
}
.courses-choose .courses-choose__item .gamification-roadmap__info img {
  display: block;
}
.courses-choose .courses-choose__item h3 {
  position: relative;
}
@media (max-width: 739.98px) {
  .courses-choose .courses-choose__item {
    height: 500px;
  }
}
@media (max-width: 500px) {
  .courses-choose .courses-choose__item {
    height: 100vw;
  }
}

/* Recommended Courses */
.recommended-courses {
  padding: 50px 0 40px;
  overflow: hidden;
}
@media (max-width: 739.98px) {
  .recommended-courses {
    padding: 35px 0 20px;
  }
}
.recommended-courses .container {
  overflow: visible;
}
.recommended-courses .recommended-courses__action {
  display: flex;
}
.recommended-courses .recommended-courses__action .button {
  margin: 24px auto 0;
  width: 300px;
}
@media (max-width: 500px) {
  .recommended-courses .recommended-courses__action .button {
    width: 100%;
  }
}

/* Faq */
.faq {
  padding-top: 45px;
  padding-bottom: 50px;
}
@media (max-width: 739.98px) {
  .faq {
    padding-top: 35px;
    padding-bottom: 40px;
  }
}

/* Delaycourse Banner */
.delaycourse-banner {
  padding: 50px 0 140px;
  background: var(--gray-light);
}
@media (max-width: 768px) {
  .delaycourse-banner {
    padding: 40px 0 80px;
  }
}

.delaycourse-banner .delaycourse-banner__back {
  display: flex;
  align-items: center;
  gap: 48px;
  position: relative;
  padding: 0;
  background: var(--banner-bg) no-repeat;
  background-position: right center;
  background-size: cover;
  z-index: 2;
  border-radius: 16px;
  background-clip: padding-box;
}
@media (max-width: 568px) {
  .delaycourse-banner .delaycourse-banner__back {
    background-image: var(--banner-bg-mobile);
    background-position: right bottom;
  }
}

.delaycourse-banner__image-mobile {
  display: none;
}

.delaycourse-banner__content {
  flex: 1;
  position: relative;
  z-index: 2;
  padding: 0 48px;
  color: white;
  height: 400px;
  display: flex;
  flex-direction: column;
  padding: 64px 48px;
}
@media (max-width: 768px) {
  .delaycourse-banner__content {
    padding: 24px;
  }
}
.delaycourse-banner__content .button {
  max-width: 136px;
}
@media (max-width: 768px) {
  .delaycourse-banner__content .button {
    width: 100%;
    max-width: initial;
    margin-top: auto;
  }
}

.delaycourse-banner__title {
  font-size: 48px;
  font-weight: 400;
  letter-spacing: -1.44px;
  line-height: 1.1;
  margin-bottom: 16px;
}
@media (max-width: 768px) {
  .delaycourse-banner__title {
    max-width: 290px;
    font-size: 32px;
  }
}

.delaycourse-banner__description {
  font-size: 18px;
  font-weight: 400;
  line-height: 1.4;
  margin-bottom: 24px;
}
@media (max-width: 768px) {
  .delaycourse-banner__description {
    max-width: 200px;
    font-size: 14px;
  }
}

/* Vovlekay Banner */
.vovlekay-banner {
  padding: 100px 0;
}
.vovlekay-banner .button {
  background-color: #f4d968;
  color: #000;
}
.vovlekay-banner h2, .vovlekay-banner p {
  color: #fff;
}

.vovlekay-banner .vovlekay-banner__inner {
  display: flex;
  align-items: center;
  gap: 48px;
  position: relative;
  padding: 0;
  background-color: #191919;
  z-index: 2;
  overflow: hidden;
  border-radius: 16px;
}

.vovlekay-banner__image {
  width: 100%;
  position: absolute;
  z-index: 1;
}

.vovlekay-banner__image-mobile {
  display: none;
}

.vovlekay-banner__content {
  flex: 1;
  position: relative;
  z-index: 2;
  padding: 64px 48px;
}

.vovlekay-banner__title {
  font-size: 48px;
  font-weight: 400;
  letter-spacing: -1.44px;
  line-height: 1.1;
  margin-bottom: 16px;
}

.vovlekay-banner__description {
  font-size: 18px;
  font-weight: 400;
  line-height: 1.4;
  margin-bottom: 40px;
}

@media (max-width: 739.98px) {
  .vovlekay-banner {
    padding: 40px 0;
    background: #fff;
  }
  .vovlekay-banner .vovlekay-banner__inner {
    background: #191919;
    border-radius: 16px;
    height: 400px;
  }
  .vovlekay-banner__image {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
  }
  .vovlekay-banner__image-mobile {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
  }
  .vovlekay-banner__content {
    position: relative;
    z-index: 2;
    padding: 20px 16px;
  }
  .vovlekay-banner__title {
    font-size: 32px;
    line-height: 38.4px;
    letter-spacing: -0.64px;
    margin-bottom: 12px;
  }
  .vovlekay-banner__description {
    font-size: 14px;
    line-height: 19.6px;
    margin-bottom: 32px;
  }
}
@media (max-width: 576px) {
  .vovlekay-banner__image {
    display: none;
  }
  .vovlekay-banner__content {
    height: 100%;
  }
  .vovlekay-banner__content .btn--yellow {
    width: 100%;
    margin-bottom: auto;
  }
  .vovlekay-banner__description {
    margin-bottom: 80px;
    max-width: 200px;
  }
}
.catalog {
  padding-top: 34px;
  min-height: 600px;
}
.catalog.list .courses-list__shade {
  height: 250px;
  top: -250px;
}
@media (max-width: 768px) {
  .catalog .all-cases__filters {
    padding-top: 80px;
  }
}
.catalog .all-cases__list {
  margin-top: 32px;
  margin-bottom: 100px;
}
@media (max-width: 768px) {
  .catalog .all-cases__list {
    margin-bottom: 70px;
  }
}
.catalog .all-cases__list .is-in-cart {
  background: rgb(232, 234, 241);
  color: rgb(187, 190, 197);
  border: 1px solid rgba(0, 0, 0, 0.15);
}
.catalog.list .all-cases__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list {
    gap: 16px;
  }
}
.catalog.list .all-cases__list .project {
  display: flex;
  flex-direction: row;
  align-items: center;
  background: #fff;
  border-radius: 12px;
  padding: 12px;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project {
    flex-wrap: wrap;
    align-items: flex-start;
  }
}
.catalog.list .all-cases__list .project__preview {
  border-radius: 6px;
  width: 144px;
  height: 76px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  background: linear-gradient(135deg, #C0D6FF 0%, #D6E6FF 45%, #FFFFFF 92%);
}
@media (max-width: 400px) {
  .catalog.list .all-cases__list .project__preview {
    width: 93px;
    height: 84px;
  }
}
.catalog.list .all-cases__list .project__preview img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.catalog.list .all-cases__list .project__categories {
  color: #6F7071;
  font-size: 14px;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project__categories {
    font-size: 12px;
  }
}
.catalog.list .all-cases__list .project h4 {
  margin: 8px 0 0;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project h4 {
    margin: 0 0 4px;
  }
}
.catalog.list .all-cases__list .project h4 a {
  color: #0E1726;
  font-size: 20px;
  font-weight: normal;
  text-decoration: none;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project h4 a {
    font-size: 16px;
  }
}
.catalog.list .all-cases__list .project__price {
  font-size: 24px;
  margin: 0 6px 1px auto;
  flex-shrink: 0;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project__price {
    font-size: 20px;
    margin: 0 0 16px;
  }
}
.catalog.list .all-cases__list .project__info {
  padding: 16px 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 24px;
  width: 100%;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project__info {
    padding: 0 6px;
    flex-direction: column;
    align-items: flex-start;
    min-width: calc(100% - 150px);
    max-width: calc(100% - 150px);
    gap: 0;
  }
}
.catalog.list .all-cases__list .project__buttons {
  width: 312px;
  display: flex;
  justify-content: space-between;
  margin: 0 0 0 auto;
  flex-shrink: 0;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project__buttons {
    margin: 0 0 0 150px;
  }
}
@media (max-width: 540px) {
  .catalog.list .all-cases__list .project__buttons {
    width: calc(100% - 150px);
  }
}
@media (max-width: 400px) {
  .catalog.list .all-cases__list .project__buttons {
    width: calc(100% - 90px);
    margin: 0 0 0 100px;
  }
}
.catalog.list .all-cases__list .project__buttons .button {
  width: calc((100% - 16px) / 2);
  font-size: 12px;
  height: 44px;
}
@media (max-width: 768px) {
  .catalog.list .all-cases__list .project__buttons .button {
    height: 34px;
  }
}
@media (max-width: 537px) {
  .catalog.list .all-cases__list .project__buttons .button {
    font-size: 12px;
  }
}
.catalog.big .all-cases__list {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list {
    gap: 12px;
  }
}
@media (max-width: 537px) {
  .catalog.big .all-cases__list {
    flex-direction: column;
  }
}
.catalog.big .all-cases__list .project {
  display: flex;
  flex-direction: column;
  padding: 12px;
  width: calc((100% - 48px) / 3);
  background: #fff;
  border-radius: 12px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project {
    width: calc((100% - 14px) / 2);
  }
}
@media (max-width: 537px) {
  .catalog.big .all-cases__list .project {
    width: 100%;
    gap: 0;
  }
}
.catalog.big .all-cases__list .project__preview {
  border-radius: 12px;
  width: 100%;
  height: 180px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(135deg, #C0D6FF 0%, #D6E6FF 45%, #FFFFFF 92%);
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project__preview {
    width: 100%;
  }
}
.catalog.big .all-cases__list .project__categories {
  color: #6F7071;
  font-size: 14px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project__categories {
    font-size: 12px;
  }
}
.catalog.big .all-cases__list .project__info {
  padding: 16px 8px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project__info {
    padding: 16px 6px;
  }
}
.catalog.big .all-cases__list .project h4 {
  margin: 8px 0 28px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project h4 {
    margin: 0 0 16px;
  }
}
.catalog.big .all-cases__list .project h4 a {
  color: #0E1726;
  font-size: 20px;
  font-weight: normal;
  text-decoration: none;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project h4 a {
    font-size: 16px;
  }
}
.catalog.big .all-cases__list .project__price {
  font-size: 32px;
  margin: 0 0 28px;
}
@media (max-width: 768px) {
  .catalog.big .all-cases__list .project__price {
    font-size: 24px;
    margin: 0 0 16px;
  }
}
@media (max-width: 537px) {
  .catalog.big .all-cases__list .project__price {
    margin: 0;
  }
}
.catalog.big .all-cases__list .project__buttons {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin: auto 0 12px;
}
.catalog.big .all-cases__list .project__buttons .button {
  width: calc((100% - 16px) / 2);
}
@media (max-width: 537px) {
  .catalog.big .all-cases__list .project__buttons .button {
    font-size: 12px;
  }
}

.courses-process__info h3 {
  margin-top: 70px;
}

@media (max-width: 768px) {
  .courses-process__info h3 {
    margin-top: 0px;
  }
}
.courses-process__info {
  min-width: 364px;
}

.courses-process__swiper .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.courses-process__wrap {
  display: flex;
  gap: 30px;
  align-items: stretch;
}

.courses-process__info {
  flex: 0 1 auto;
  min-width: 300px;
  height: 470px;
}

.courses-process__swiper {
  flex: 1 1 0%;
  min-width: 0;
}

.carousel--js-courses-process,
.courses-process__swiper .swiper,
.courses-process__swiper .swiper-wrapper {
  height: 100%;
}

.courses-process__swiper .swiper-slide {
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border-radius: 8px;
}

.courses-process__swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  min-width: 766px;
}

@media (max-width: 768px) {
  .courses-process__swiper .swiper-slide img {
    min-width: auto;
  }
  .courses-process__info {
    height: auto;
  }
}
.courses-consulting {
  margin-bottom: 45px;
}
.courselist-section .container {
  overflow: visible;
}

.delaycourse-banner__content .button {
  margin: 0;
}

@media (max-width: 739.98px) {
  .library-courses .courselist-section .cards.five .project__link {
    line-height: 1.2;
  }
}